Bug 44005 - `ls' does not work
`ls' does not work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: am-utils (Show other bugs)
1.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Vrabec
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-08 17:42 EDT by Enrico Scholz
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-18 07:09:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-06-08 17:42:31 EDT
Description of Problem:

linux_nfs_error() in conf/mount/mount_linux.c maps ESUCCESS to NE_IO so a
lot of operations will return an error-code although they succeeded:

------------
$ strace ls -a
...
open(".", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = 4
fstat64(4, {st_mode=S_IFDIR|0555, st_size=512, ...}) = 0
fcntl64(4, F_SETFD, FD_CLOEXEC)         = 0
brk(0x805a000)                          = 0x805a000
getdents64(4, 0x8057098, 4096)          = -1 EIO (Input/output error)
getdents(4, 0xbfffebb0, 2980)           = -1 EIO (Input/output error)
close(4)                                = 0
_exit(0)                                = ?
---------------------

That's why e.g. `ls' won't work in an auto-mounted directory.


There is a patch on ftp://ftp.cs.columbia.edu/mdarch/amd-dev/archive.0105
(msg-id <Pine.LNX.4.33.0105191509350.2831-100000@age.cs.columbia.edu>)
curing this.



How Reproducible:

everytime


Steps to Reproduce:
1. setup am-utils
2. execute `ls -a' in an auto-mounted dir


Actual Results:

$ ls -a
$


Expected Results:

$ ls -a
.  .. [other files]


Additional Information:
	
# rpm -q glibc
glibc-2.2.3-11

official kernel 2.4.[45]

Note You need to log in before you can comment on or make changes to this bug.